From b68b7d94eaf6b8e485af7038cd10c6ef032181ec Mon Sep 17 00:00:00 2001
From: Jelte Fennema-Nio <jelte.fennema@microsoft.com>
Date: Thu, 21 Mar 2024 11:24:48 +0100
Subject: [PATCH v1] Add child_process_kinds static assert

Some asserts were removed in d63d486d6c39 due to certain build farm
animals complaining. This adds their equivalent back as a static assert,
like we have for many similar arrays in the codebase.
---
 src/backend/postmaster/launch_backend.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/backend/postmaster/launch_backend.c b/src/backend/postmaster/launch_backend.c
index cb0c3e2f8ab..8d3ef01d25a 100644
--- a/src/backend/postmaster/launch_backend.c
+++ b/src/backend/postmaster/launch_backend.c
@@ -205,6 +205,9 @@ child_process_kind child_process_kinds[] = {
 	[B_LOGGER] = {"syslogger", SysLoggerMain, false},
 };
 
+StaticAssertDecl(lengthof(child_process_kinds) == BACKEND_NUM_TYPES,
+				 "array length mismatch");
+
 const char *
 PostmasterChildName(BackendType child_type)
 {

base-commit: 1db689715d44276407dc4d6fadbc11da8d391bd9
-- 
2.34.1

